Bug 16701 - Translatability: Fix problem with isolated ' in currency.tt
Summary: Translatability: Fix problem with isolated ' in currency.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-09 14:59 UTC by Marc Véron
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16701: Translatability: Fix problem with isolated ' in currency.tt (2.37 KB, patch)
2016-06-21 08:30 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16701: (follow-up) improve some changes (2.93 KB, patch)
2016-07-07 15:28 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16701: Translatability: Fix problem with isolated ' in currency.tt (2.44 KB, patch)
2016-07-07 15:31 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16701: (follow-up) improve some changes (2.93 KB, patch)
2016-07-07 15:36 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16701: (follow-up) improve some changes (3.08 KB, patch)
2016-07-10 19:11 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 16701: Translatability: Fix problem with isolated ' in currency.tt (2.49 KB, patch)
2016-07-11 20:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 16701: (follow-up) improve some changes (3.14 KB, patch)
2016-07-11 20:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-06-09 14:59:58 UTC
In Pootle, we get a string '%sCurrencies %s
The leading ' has nothing to do with the meaning, it belongs to the previous line in: koha-tmpl/intranet-tmpl/prog/en/modules/admin/currency.tt

[% IF op == 'delete_confirm' %]Confirm deletion of currency '<span class="ex">[% searchfield %]</span>'
[% ELSIF op == 'list' %]Currencies
[% END %]

Additionally, Pootle thinks that there should be a space char after Currencies, but that seems not to be intended.
Comment 1 Marc Véron 2016-06-21 08:29:59 UTC
Could be done with technique as proposed by K.Hall in Bug 15707.
See comment: https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=15707#c75
...and following
Comment 2 Marc Véron 2016-06-21 08:30:28 UTC Comment hidden (obsolete)
Comment 3 Héctor Eduardo Castro Avalos 2016-07-07 15:28:37 UTC Comment hidden (obsolete)
Comment 4 Héctor Eduardo Castro Avalos 2016-07-07 15:31:30 UTC Comment hidden (obsolete)
Comment 5 Héctor Eduardo Castro Avalos 2016-07-07 15:32:38 UTC
Hi Marc

Please, test the follow-up and sign-off :)

Regards
Comment 6 Héctor Eduardo Castro Avalos 2016-07-07 15:36:13 UTC Comment hidden (obsolete)
Comment 7 Marc Véron 2016-07-10 19:11:50 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2016-07-11 20:49:02 UTC
Created attachment 53283 [details] [review]
[PASSED QA] Bug 16701: Translatability: Fix problem with isolated ' in currency.tt

This patch moves markup <span class="ex"> into template variables to
avoid sentence splitting.

To test:
- Apply patch
- Verify that currency administration works as before
  (Home > Administration > Currencies & Exchange rates > Currencies)
- Examine code changes

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2016-07-11 20:49:37 UTC
Created attachment 53284 [details] [review]
[PASSED QA] Bug 16701: (follow-up) improve some changes

Add missing quote in line 152
Modify title of the page and breadcrumbs section wrong "searchfield" used
should be instead "currency.currency"

To test
-Try to delete the active and used currency, for example, my case
 USD, look that appear USD' with the initial single quote missing in
 message Confirm deletion of currency USD'
-Notice about the breadcrumbs section appear:
     Confirm deletion of currency ''
 Should appear the currency
-Try to delete another currency see the pharese look the same
-Notice about the title in both cases, there is missing the currency name
-Apply follow-up and re-test

Sing-off on followup
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Kyle M Hall 2016-07-15 15:20:47 UTC
Pushed to master for 16.11, thanks Marc!
Comment 11 Frédéric Demians 2016-08-01 13:41:24 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 12 Julian Maurice 2016-08-17 11:11:14 UTC
Patches pushed to 3.22.x, will be in 3.22.10